@echo off
rem
rem  This file is part of GCCMU 1.1 (GCCMVS C compiler for MUSIC/SP).
rem  Released to the Public Domain by Dave Edwards.
rem  Adjust the directory names as needed.
rem  Change Log:
rem  17mar2007 - Written by Dave Edwards.
rem  01oct2007 - gccmvs.exe renamed to gccmvs_v20.exe, etc.
rem  01oct2007 - Changes for GCCMU 1.1: remove use of gccrepl.exe.
rem       Use gccmvs_v30.exe, clibinc084.
rem
echo ** GCCCMPIL: Uses gccmvs_v30.exe to compile xxx.c to xxx.asm
echo *  Usage:  gcccmpil_mu11 xxx [extra GCC options if needed]
echo *  If xxx.asm already exists, it is renamed to xxx.asmold1
if exist %1.c goto cont1
echo **** Error: File %1.c not found
goto exit
:cont1
if not exist %1.asmold3 goto skip3
echo *** Deleting %1.asmold3
del %1.asmold3
:skip3
if not exist %1.asmold2 goto skip2
echo *** Renaming %1.asmold2 to %1.asmold3
ren %1.asmold2 %1.asmold3
:skip2
if not exist %1.asmold1 goto skip1
echo *** Renaming %1.asmold1 to %1.asmold2
ren %1.asmold1 %1.asmold2
:skip1
if not exist %1.asm goto skip0
echo *** Renaming existing %1.asm to %1.asmold1
ren %1.asm %1.asmold1
:skip0
@echo on
c:\my\gccmvs\gccmvs_v30 -Wall -W -S -o %1.asm -fno-builtin -nostdinc -I - -I . -I /my/gccmvs/clibinc084 %2 %3 %4 %5 %6 %7 %8 %9 %1.c
@echo off
echo ** End of GCCCMPIL
:exit
