/* Test some math functions */
/* Note: On Linux, to have the linker (ld) use the math library (libm.a
   or equivalent), you must use the -lm option when compiling.
   E.g.:   gcc -Wall mathtest.c -lm -o mathtest
*/
#include <stdio.h>
#include <math.h>
int main(void)
{
double x,y;
for(;;)
  { printf("\nEnter a floating-point number or -999 to exit:\n\n");
    scanf("%lf",&x);
    printf("x = %0.12lf\n",x);
    if(x==-999.) break;
    y=sqrt(x);
    printf("sqrt(%0.18lg) = %0.18lg\n",x,y);
    y=exp(x);
    printf("exp(%0.18lg) = %0.18lg\n",x,y);
    y=cos(x);
    printf("cos(%0.18lg) = %0.18lg\n",x,y);
    y=sin(x);
    printf("sin(%0.18lg) = %0.18lg\n",x,y);
  }
return 0;
}
